
# Fedora review: http://bugzilla.redhat.com/171504

%define beta beta3

Name:    kipi-plugins
Summary: Plugins to use with Kipi
Version: 0.2.0
Release: 0.4.%{beta}%{?dist}

License: GPLv2+
Group:   Applications/Multimedia
Url:	 http://www.kipi-plugins.org/
Source0: http://downloads.sourceforge.net/kipi/kipi-plugins-%{version}%{?beta:-%{beta}}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: giflib-devel pcre-devel
BuildRequires: kdegraphics4-devel >= 4.1.2-4
# Until when/if libksane goes a dep on sane-backends-devel
BuildRequires: sane-backends-devel 
BuildRequires: libkipi-devel >= 0.2.0
BuildRequires: libkdcraw-devel >= 0.4.0-2
BuildRequires: libkexiv2-devel >= 0.4.0-2
BuildRequires: exiv2-devel 
## acquireimages, jpeglossless and rawconverter plugins
BuildRequires: libtiff-devel
## htmlexport plugin 
BuildRequires: libxslt-devel
## DNG converter
BuildRequires: expat-devel

Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils

## jpeglossless plugin 
Requires: ImageMagick 

%description
This package contains plugins to use with Kipi, the KDE Image Plugin
Interface.  Currently implemented plugins are:
 * RawConverter       : Raw image converter for digital cameras
 * SlideShow          : Slideshow with effects ripped out from kslideshow
                        and 3D effects using OpenGL
 * JpegLossLess       : Batch process your JPEG images without losing meta 
                        information and compression
 * AcquireImages      : Acquire images interface, includes these parts:
                           ScanImages (scanner management using Kooka)
                           ScreenshotImages (Snap Screen based on KSnapshot)
 * SendImages         : Send images by email, allowing resizing and 
                        recompressing before sending
 * BatchProcessImages : Batch process images: 
                           RenameImages (Image file names renaming)
                           ConvertImages (Image files format converting)
                           BorderImages (Add border to images)
                           FilterImages (Enhancements using digital filters)
                           ColorImages (Image color enhancement)
                           EffectImages (Image transformation effects)
                           ResizeImages (Basic/Prepare-to-print resizing)
                           RecompressImages (Recompress JPEG/TIFF/PNG/TGA)
 * TimeAdjust         : Adjust image file Time and Date
 * FlickrExport       : Export images to a remote Flickr web service
                        (http://www.flickr.com)
 * HTMLExport         : Export images collections into HTML page
 * SimpleViewerExport : Export images to SimpleViewer
                         (http://www.airtightinteractive.com/simpleviewer/)
 * MetadataEdit       : Edit EXIF and IPTC pictures metadata
 * PicasaWebExport    : Export pictures to Picasa web service


%prep
%setup -q -n %{name}-%{version}%{?beta:-%{beta}}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


## File lists
touch  %{name}.lang
%if 0
# HTML (1.0)
HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi
%endif
# locale's
for app_file in %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/*.mo ; do
   app=$(basename $app_file .mo)
   # don't repeat
   [ ! -f ${app}.lang ] && %find_lang ${app}
done

cat *.lang > %{name}-all.lang

## unpackaged files
rm -f %{buildroot}%{_kde4_libdir}/lib*.so


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%files -f %{name}-all.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_kde4_libdir}/libkipiplugins.so.*
%{_kde4_libdir}/kde4/kipiplugin_acquireimages.so
%{_kde4_libdir}/kde4/kipiplugin_dngconverter.so
%{_kde4_libdir}/kde4/kipiplugin_flickrexport.so
%{_kde4_libdir}/kde4/kipiplugin_galleryexport.so
%{_kde4_libdir}/kde4/kipiplugin_gpssync.so
%{_kde4_libdir}/kde4/kipiplugin_htmlexport.so
%{_kde4_libdir}/kde4/kipiplugin_imageviewer.so
%{_kde4_libdir}/kde4/kipiplugin_jpeglossless.so
%{_kde4_libdir}/kde4/kipiplugin_metadataedit.so
%{_kde4_libdir}/kde4/kipiplugin_picasawebexport.so
%{_kde4_libdir}/kde4/kipiplugin_rawconverter.so
%{_kde4_libdir}/kde4/kipiplugin_sendimages.so
%{_kde4_libdir}/kde4/kipiplugin_simpleviewer.so
%{_kde4_libdir}/kde4/kipiplugin_slideshow.so
%{_kde4_libdir}/kde4/kipiplugin_timeadjust.so
%{_kde4_appsdir}/kipiplugin_galleryexport
%{_kde4_appsdir}/kipiplugin_htmlexport
%{_kde4_appsdir}/kipiplugin_imageviewer
%{_kde4_appsdir}/kipiplugin_metadataedit  
%{_kde4_appsdir}/kipiplugin_simpleviewerexport
%{_kde4_appsdir}/kipiplugin_slideshow
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Mon Oct 27 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-0.4.beta3
- kipi-plugins-0.2.0-beta3

* Mon Oct 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.2.0-0.3.beta2
- update to 0.2.0 beta 2
- build against latest kdegraphics
- don't require dcraw, libkdcraw includes its own RAW decoding code

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-0.2.beta1
- respin (against newer kdegraphics)

* Thu Sep 04 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-0.1.beta1
- kipi-plugins-0.2.0-beta1, kde4

* Wed Jun 25 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.6-0.2.beta1
- respin for exiv2

* Mon May 26 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.6-0.1.beta1
- kipi-plugins-0.1.6-beta1

* Tue May 20 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.5-3
- don't BR: kdepim3-devel on F-10+

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.5-2
- respin

* Fri Mar 14 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.5-1
- kipi-plugins-0.1.5

* Thu Feb 21 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.5-0.6.rc2
- libXrandr patch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.5-0.5.rc2
- Autorebuild for GCC 4.3

* Sat Feb 02 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1.5-0.4.rc2
- kipi-plugins-0.1.5-rc2

* Sun Dec 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.5-0.3.rc1
- kipi-plugins-0.1.5-rc1

* Sat Dec 08 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.5-0.2.beta1
- BR: kdelibs3-devel 

* Wed Nov 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.5-0.1.beta1
- kipi-plugins-0.1.5-beta1
- cleanup %%description

* Wed Nov 21 2007 Todd Zullinger <tmz@pobox.com> 0.1.4-5
- rebuild against libgpod-0.6.0

* Wed Sep 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.4-4
- rebuild against libkdcraw libkexiv2

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.4-3
- License: GPLv2+

* Tue Aug 21 2007 Todd Zullinger <tmz@pobox.com> 0.1.4-2
- rebuild against libgpod-0.5.2

* Mon Jul 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.4-1
- kipi-plugins-0.1.4(final)

* Wed Jun 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.4-0.5.beta3
- LIB_KIO.patch

* Wed Jun 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.4-0.4.beta2
- --disable-final

* Tue Jun 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.4-0.3.beta2
- BR: libkdcraw-devel >= 0.1.1

* Tue Jun 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.4-0.2.beta2
- kipi-plugins-0.1.4-beta2

* Tue Jun 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.4-0.1.beta1
- kipi-plugins-0.1.4-beta1

* Mon May 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.3-5
- respin against libkexiv2-0.1.5

* Tue May 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.3-4
- --with-libgpod (with patch)

* Mon Apr 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.3-3
- respin against exiv2-0.14

* Wed Jan 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.3-2
- drop --with-libgpod, still busted

* Wed Jan 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.3-1
- kipi-plugins-0.1.3
- --with-libgpod 

* Wed Dec 27 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.3-0.2.rc1
- kipi-plugins-0.1.3-rc1

* Mon Dec 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.3-0.1.beta1
- kipi-plugins-0.1.3-beta1

* Wed Oct 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.2-2
- rebuild against new(er) imlib2

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.2-1
- kipi-plugins-0.1.2

* Thu Jun 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.1-1
- kipi-plugins-0.1.1

* Sun Jun 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-1
- kipi-plugins-0.1.0 (final)

* Fri Jun 23 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.11
- 0.1.0 (final rc candidate)

* Wed May 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.10.rc2
- --with-opengl, BR: libGLU-devel
  to ensure build/inclusion of slideshow plugin (#193676)

* Wed May 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.9.rc2
- Requires(hint): dcraw

* Mon May 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.8.rc2
- 0.1.0-rc2
- BR: ImageMagick-c++-devel, libtiff-devel, libxslt-devel

* Tue Apr 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.7.rc1
- fc5: drop gphoto2 workaround (#183262)
- cleanup filelist

* Fri Feb 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.6.rc1
- BR: libGL-devel
- fc5: gcc/glibc respin
- fc5: workaround gphoto2 bug (#183367)

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.5.rc1
- fix symlinks
- simplify configure

* Fri Nov 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.4.rc1
- drop redundant %%doc
- simplify BR's

* Sun Oct 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.3.rc1
- drop BR: libacl-devel
- drop reference(s) to external repos (legalities)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-0.2.rc1
- BR: libacl-devel (at least until kdelibs bug #170602 is fixed)
- drop all optional Req's, mention in %%description
- Release < 1, since it's not final
- %%description: format < 80 columns
- drop goofy install-strip conditional

* Mon Sep 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.0-1.rc1
- 0.1.0-rc1

* Tue Feb 08 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.1-0.fdr.0.4.beta2
- 0.1.0-beta2

* Mon Jan 03 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.1-0.fdr.0.3.beta1
- rawconverter: Req: dcraw
- Req: mjpegtools
- Req: ImageMagick 

* Mon Dec 21 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.1-0.fdr.0.2.beta1
- rebuild against libkexif-0.2

* Mon Oct 25 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.1-0.fdr.0.1.beta1
- Initial RPM release.
